Get the details of a discovered app.

Prev Next
Get
/discovered-apps/{id}

Get the details of a discovered app.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Responses
200

App details.

Expand All
object
id
string

ID of the app.

Example181ff4c94fdce2a5
host
string

Host of the app.

Exampleservice.company.com
appType
string

Type of the app.

ExampleMyApp
appTypePorts
Array of string

List of ports configured for the app type.

Example[ "80", "443", "20300-20400" ]
string
ports
Array of string

List of ports associated with this app type.

Example[ "80", "20300-20400" ]
string
portType
string

Port type of the app.

ExampleHTTP
usersCount
integer

Total user count for the app.

Example1200
lastAccessedAt
string (date-time)

Timestamp of the last time the app was accessed by a user.

entitlementName
string

The name of the entitlement generated by using Application Discovery.

Exampleentitlement
lastModified
string (date-time)

Timestamp of the last modification to this discovered app made through the application discovery page.

originatingEntitlements
Array of object (OriginatingEntitlement)

The entitlements that were used to access the app

object

An entitlement that was used to access the application

name
string

Name of the entitlement

Exampleentitlement
id
string (uuid)
ips
Array of string

The IPs used to access the app.

string
Example10.98.10.40
rule
string

The rule applied.

Exampleallow
protocol
string

The protocol used.

ExampleTCP
direction
string

The direction of the access.

Exampleup
users
Array of object

Users accessed this app.

object
userDistinguishedName
string

Distinguished name of a user. Format: "CN=,OU="

ExampleCN=user,OU=ldap
username
string

The username, same as the one in the user Distinguished Name.

Exampleuser
providerName
string

The provider name of the user, same as the one in the user Distinguished Name.

Exampleldap
lastAppAccessAt
string (date-time)

Timestamp of the last time the app was accessed by this user.

hitChartData
Array of object

Data for hit count chart per day.

object
Example{ "2024-08-22": 256.0 }
property*
number additionalProperties

Number of hits for this day.

lastAnalysisAt
string (date-time)

Timestamp of the last time the analysis is done for all apps.

policies
Array of object (AppAccessPolicy)

List of policies configured for access to this app.

object

Policy configured for app access.

id
string (uuid)

The ID of the Policy.

name
string

The name of the Policy.

entitlementDetails
object

Details of the entitlement configuration for this app.

Example{ "id": "550e8400-e29b-41d4-a716-446655440000", "tags": [ "DevOps" ], "disabled": false }
id
string (uuid)

The unique identifier of the entitlement

tags
Array of string

List of tags associated with this entitlement.

Example[ "DevOps" ]
string
disabled
boolean

Whether this entitlement is currently disabled.

Examplefalse
relatedApps
Array of object (App)

List of apps related to this app, based on host.

object

Represents a discovered app.

id
string

ID of the app.

Example181ff4c94fdce2a5
host
string

Host of the app.

Exampleservice.company.com
appType
string

Type of the app.

ExampleMyApp
appTypePorts
Array of string

List of ports configured for the app type.

Example[ "80", "443", "20300-20400" ]
string
ports
Array of string

List of ports associated with this app type.

Example[ "80", "20300-20400" ]
string
portType
string

Port type of the app.

ExampleHTTP
usersCount
integer

Total user count for the app.

Example1200
lastAccessedAt
string (date-time)

Timestamp of the last time the app was accessed by a user.

entitlementName
string

The name of the entitlement generated by using Application Discovery.

Exampleentitlement
lastModified
string (date-time)

Timestamp of the last modification to this discovered app made through the application discovery page.

originatingEntitlements
Array of object (OriginatingEntitlement)

The entitlements that were used to access the app

object

An entitlement that was used to access the application

name
string

Name of the entitlement

Exampleentitlement
id
string (uuid)
ips
Array of string

The IPs used to access the app.

string
Example10.98.10.40
userGroups
object

Maps users to group indices, with a corresponding array of group names for lookup.

usersToGroups
object

Map of user distinguished names to their assigned group indices.

Example{ "userdistinguishedname1": [ 1, 2 ], "userdistinguishedname2": [ 1, 3 ] }
property*
Array of integer additionalProperties
integer
groups
Array of string

Array of group names.

Example[ "group1", "group2", "group3" ]
string
401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.